Bug 1403760 - [dovecot] tests failures on big endian arches
Summary: [dovecot] tests failures on big endian arches
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot
Version: rawhide
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-12-12 10:40 UTC by Dan Horák
Modified: 2016-12-15 09:02 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-15 09:02:56 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-12-12 10:40:00 UTC
The sha3 tests now fail on ppc64 and s390x, I suspect some big endian related issues.

from build.log
...
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.PxAnQD
+ umask 022
+ cd /builddir/build/BUILD
+ cd dovecot-2.2.27
+ make check
Making check in .
make[1]: Entering directory '/builddir/build/BUILD/dovecot-2.2.27'
/bin/sh ./update-version.sh . .
make[1]: Leaving directory '/builddir/build/BUILD/dovecot-2.2.27'
Making check in src
make[1]: Entering directory '/builddir/build/BUILD/dovecot-2.2.27/src'
Making check in lib-test
make[2]: Entering directory '/builddir/build/BUILD/dovecot-2.2.27/src/lib-test'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/builddir/build/BUILD/dovecot-2.2.27/src/lib-test'
Making check in lib
make[2]: Entering directory '/builddir/build/BUILD/dovecot-2.2.27/src/lib'
for bin in test-lib; do \
  if !  ./$bin; then exit 1; fi; \
done
aqueue ............................................................... : ok
...
hash_format .......................................................... : ok
hash method md4 ...................................................... : ok
hash method md5 ...................................................... : ok
hash method sha1 ..................................................... : ok
hash method sha256 ................................................... : ok
hash method sha512 ................................................... : ok
hash method sha3-256 ................................................. : ok
hash method sha3-512 ................................................. : ok
hash method size ..................................................... : ok
hash method md4 (test vectors) ....................................... : ok
hash method md5 (test vectors) ....................................... : ok
hash method sha1 (test vectors) ...................................... : ok
test-hash-method.c:342: Assert(#9) failed: memcmp(result, test_vectors[i].output, test_vectors[i].olen) == 0
test-hash-method.c:342: Assert(#10) failed: memcmp(result, test_vectors[i].output, test_vectors[i].olen) == 0
test-hash-method.c:342: Assert(#11) failed: memcmp(result, test_vectors[i].output, test_vectors[i].olen) == 0
test-hash-method.c:342: Assert(#12) failed: memcmp(result, test_vectors[i].output, test_vectors[i].olen) == 0
hash method sha3-256 (test vectors) .................................. : FAILED
test-hash-method.c:342: Assert(#13) failed: memcmp(result, test_vectors[i].output, test_vectors[i].olen) == 0
test-hash-method.c:342: Assert(#14) failed: memcmp(result, test_vectors[i].output, test_vectors[i].olen) == 0
test-hash-method.c:342: Assert(#15) failed: memcmp(result, test_vectors[i].output, test_vectors[i].olen) == 0
test-hash-method.c:342: Assert(#16) failed: memcmp(result, test_vectors[i].output, test_vectors[i].olen) == 0
hash method sha3-512 (test vectors) .................................. : FAILED
binary to hex ........................................................ : ok
binary to hex ucase .................................................. : ok
binary to hex ucase .................................................. : ok
hex to binary ........................................................ : ok
ioloop timeout ....................................................... : ok
ioloop find fd conditions ............................................ : ok
ioloop pending io .................................................... : ok
ioloop fd ............................................................ : ok
...
fatal_printf_format_fix .............................................. : ok
2 / 268 tests failed
make[2]: Leaving directory '/builddir/build/BUILD/dovecot-2.2.27/src/lib'
make[2]: *** [Makefile:2182: check-test] Error 1
make[1]: *** [Makefile:493: check-recursive] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/dovecot-2.2.27/src'
RPM build errors:
make: *** [Makefile:619: check-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.PxAnQD (%check)
    Bad exit status from /var/tmp/rpm-tmp.PxAnQD (%check)
Child return code was: 1
EXCEPTION: [Error()]

for full logs please see https://koji.fedoraproject.org/koji/taskinfo?taskID=16807386


Version-Release number of selected component (if applicable):
dovecot-2.2.27-1.fc26

Comment 1 Dan Horák 2016-12-12 17:28:12 UTC
a s390 build is at http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2421235

Comment 2 Ngo Than 2016-12-14 09:06:53 UTC
i created the patch which fixes the issue. The patch was sent to upstream for review yesterday. Aki (Upstreame) promises to review it today

Comment 3 Ngo Than 2016-12-15 09:02:56 UTC
it's fixed in dovecot-2.2.27-2.fc26

https://koji.fedoraproject.org/koji/taskinfo?taskID=16888900


Note You need to log in before you can comment on or make changes to this bug.